Package com.mckoi.database

## Class QueryPlan.NaturalJoinNode

- java.lang.Object
- - com.mckoi.database.QueryPlan.BranchQueryPlanNode
  - - com.mckoi.database.QueryPlan.NaturalJoinNode

All Implemented Interfaces:
  `QueryPlanNode`, `java.io.Serializable`, `java.lang.Cloneable`

Enclosing class:
  QueryPlan

    public static class QueryPlan.NaturalJoinNode
    extends QueryPlan.BranchQueryPlanNode

A branch node for naturally joining two tables together. These branches should be optimized out if possible because they result in huge results.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.mckoi.database.QueryPlan.BranchQueryPlanNode

`left, right`

### Constructor Summary

Constructors
`NaturalJoinNode​(QueryPlanNode left, QueryPlanNode right)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Table` `evaluate​(QueryContext context)` Evaluates the node and returns the result as a Table.
`java.lang.String` `titleString()`

### Methods inherited from class com.mckoi.database.QueryPlan.BranchQueryPlanNode

`clone, debugString, discoverCorrelatedVariables, discoverTableNames, left, right`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NaturalJoinNode

    public NaturalJoinNode​(QueryPlanNode left,
                           QueryPlanNode right)

### Method Detail

#### evaluate

    public Table evaluate​(QueryContext context)

Description copied from interface: `QueryPlanNode`
Evaluates the node and returns the result as a Table. The VariableResolver resolves any outer variables

#### titleString

    public java.lang.String titleString()

Overrides:
  `titleString` in class `QueryPlan.BranchQueryPlanNode`